Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gti		
Version:	1.6.1
Release:	alt2_10
Summary:	Just a silly gti launcher
Patch0:		gti-1.2.0-nostrip.patch

License:	MIT
URL:		http://r-wos.org/hacks/%{name}
Source0:	https://github.com/rwos/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Just a silly gti launcher, basically Inspired by sl. It displays a ASCII-art 
animation to punish you for your typing error, after that it launches git.

%prep
%setup -q
%patch0 -p1 -b .nostrip

%build
%make_build  CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" 

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_10
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_8
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_7
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_6
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_5
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2_3
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_2
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_1
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_11
- new version

